<?php 
// create custom plugin settings menu
add_action('admin_menu', 'subscribrr_create_menu');

function subscribrr_create_menu() {

        add_menu_page('Subscribrr Settings', 
                'Subscribrr', 
                'administrator', 
                __FILE__, 
                'subscribrr_settings_page', 
                plugins_url('assets/icon.png',__FILE__)//,
                
                );
	//call register settings function
	add_action( 'admin_init', 'register_subscribrr_settings' );
}


function register_subscribrr_settings() {
	//register our settings
	register_setting( 'subscribrr-settings-group', 'subscribrr_channel' );
	register_setting( 'subscribrr-settings-group', 'subscribrr_theme' );
	register_setting( 'subscribrr-settings-group', 'subscribrr_count' );
	register_setting( 'subscribrr-settings-group', 'subscribrr_layout' );
	register_setting( 'subscribrr-settings-group', 'subscribrr_subscribe_text');
}

function subscribrr_settings_page() {
    $count = array("default","hidden");
    $theme = array("default","dark","grey");
    $layout = array("default","full");
    
?>
<div class="wrap">
<h1>Subscribrr Settings</h1>
<h3>Join our <a href="https://www.facebook.com/groups/imincomelab/">Facebook Group</a></h3>
<form method="post" action="options.php">
    <?php settings_fields( 'subscribrr-settings-group' ); ?>
    <?php do_settings_sections( 'subscribrr-settings-group' ); ?>
    <table class="form-table">
        
        <tr valign="top">
        <th scope="row">Youtube Channel Id</th>
        <td><input type="text" name="subscribrr_channel" value="<?php echo esc_attr( get_option('subscribrr_channel',"UCm7qvbWNwWao21jKXh4BC8Q") ); ?>" /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Button Theme</th>
        <td>
            <select name="subscribrr_theme">
        <?php
            foreach($theme as $t){
                $option = esc_attr(get_option("subscribrr_theme"));
                echo "<option value='{$t}' ".(($t==$option) ? "selected":"").">{$t}</option>";
            }
        ?>
            </select>
        </td><td></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Button Count</th>
        <td>
            <select name="subscribrr_count">
        <?php
            foreach($count as $c){
                $option = esc_attr(get_option("subscribrr_count"));
                echo "<option value='{$c}' ".(($c==$option) ? "selected":"").">{$c}</option>";
            }
        ?>
            </select>
        </td><td></td>
        </tr>
        <tr valign="top">
        <th scope="row">Button Layout</th>
        <td>
            <select name="subscribrr_layout">
        <?php
            foreach($layout as $l){
                $option = esc_attr(get_option("subscribrr_layout"));
                echo "<option value='{$l}' ".(($l==$option) ? "selected":"").">{$l}</option>";
            }
        ?>
            </select>
        </td>
        <td></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Subscribe Text</th>
        <td><input type="text" name="subscribrr_subscribe_text" value="<?php echo esc_attr( get_option('subscribrr_subscribe_text',"Subscribe to My Channel") ); ?>" /></td>
        <td></td>
        </tr>
         
    </table>
    
    <?php submit_button(); ?>

</form>
</div>
<?php } ?>