(function($){      
    $.fn.subscribrr = function(options){
        
        var settings = $.extend({
           button:{
               channel: 'UCm7qvbWNwWao21jKXh4BC8Q', //Youtube Channel Id
               theme: 'dark', //Youtube Button Theme, Values could be either 'default' or 'dark'
               count: 'default', //Show Subscriber Count, values could be either 'default' or 'hidden'
               layout: 'full', //The Format for the button, values could be either 'default' or 'full'
               /*
                * Specify the name of a JavaScript Function that will handle event 
                * notifications related to button
                * For Example:
                * 
                * onytevent: trackYtEvent;
                * 
                * function trackYtEvent(payload){
                *   if(payload.eventType=='subscribe'){
                *     //Add Code to Handle Subscribe Event
                *   } else if(payload.eventType=='unsubscribe'){
                *     //Add Code to Handle Unsubscribe Event
                *   }
                * }
                */
               onytevent: function(data){return false} 
           },
           /*
            * HTML Structure of Subscribe Button
            * Don't forget to add the 'subscribrr-btn' class to the element 
            * where you want to show the Youtube Subscribe Button
            */
           structure:  "<div class='subscribrr-btn'></div>" 
        },options);

        if (settings.button.channel.match(/^UC/) && settings.button.channel.length == 24) {
            settings.button.channelid = settings.button.channel;
            delete settings.button.channel;
        }
        
        loadGAPI();
        style();
        return this.each(function(){
            var $this = this;
            setInterval(function(){
                var self = $($this);
                var iframes = self.find("iframe");
                if(iframes.length>0){
                 iframes.each(function(){
                    var $iframe = $(this),
                        url = $iframe.attr('src');
                    if(typeof(url)!=="undefined"){       
                        if(isYoutubeUrl(url)!==false){
                            if($iframe.parent().hasClass("subscribrr-iframe")!=true){
                                $iframe.wrap("<div class='subscribrr-iframe "+settings.button.theme+"'></div>");
                                appendButton($iframe);
                                addYoutubeButton($this);
                            }
                            centerElement(this);
                        }
                    }
                 });
                }
            },10);
        });
        function renderYoutube($iframe){
            $($iframe).each(function(){
                $(this).find(".subscribrr-btn").each(function(){
                    if($(this).html()==""){
                         var id = "subscribrr-btn-"+randomInt();
                         $(this).attr('id',id);
                         gapi.ytsubscribe.render(id,settings.button);
                    }
                });
            });
        }
        function style(){
            $("head").append("<style>@media (max-width:480px){subscribrr-inner h3{margin:0px 5px 0px 5px;}.subscribrr-inner>* {float:none;}}.subscribrr-iframe .subscribrr{background:#F9F9F9;}.subscribrr-iframe.grey .subscribrr h3 {color: #fff !important;}.subscribrr-iframe.grey .subscribrr{background: #202020;color: #fff !important;}.subscribrr-iframe.dark .subscribrr{background:black;color:#fff !important;}.subscribrr{position:absolute;height:40px;width:100%;text-align:center;}.subscribrr-iframe>iframe{border:0px;margin-bottom:0px!important;}.subscribrr-btn{display:inline-block;width:190px;}.subscribrr-inner>*{float:left;}</style>");
        }
        function addYoutubeButton($iframe){
            var loadJs = setInterval(function(){
                if(typeof gapi!="undefined"){
                    renderYoutube($iframe);
                    clearInterval(loadJs);
                }else{
                    loadGAPI();
                }
            },10);
        }
        function loadGAPI(){
            $.getScript('https://apis.google.com/js/platform.js');
        }
        function appendButton(iframe){
            iframe.after("<div class='subscribrr'><div class='subscribrr-inner'>"+settings.structure+"</div></div>");
        }
        function centerElement(div){
            var iframe = $(div);
            var parent = iframe.parent();
            var pr = parent.find(".subscribrr");
            var prh = pr.height(),
                prw = pr.width(),
                position = iframe.position();
                
            var el = parent.find(".subscribrr-inner");
            var w = el.innerWidth(),
                h = el.innerHeight();
            el.css({
                position: 'absolute',
                marginTop: ((prh-h)/2)+'px',
                marginLeft: ((prw-w)/2)+'px'
            });
            var newsubscribrrHeight = h+10;
            pr.css({
                position:'absolute',
                top: (position.top+iframe.height())+'px',
                left: (position.left)+'px',
                height: newsubscribrrHeight+'px',
                width: iframe.width()
            });
            iframe.width(parent.width()).height(parent.width()*0.562766).css('position','relative');
            parent.css('margin-bottom',newsubscribrrHeight+10+'px');
        }
        function randomInt(){
            return Math.floor(Math.random()*100)+1;
        }
        function isYoutubeUrl(u){
            var reg = /^(?:https?:)?(?:\/\/)?(?:www\.)?(?:youtu\.be\/|youtube\.com\/(?:embed\/|v\/|watch\?v=|watch\?.+&v=))((\w|-){11})(?:\S+)?$/;
           return (u.match(reg)) ? true : false;
        }
    }
})(jQuery);