<?php
/**
 * Plugin Name: Subscribrr
 * Plugin URI: https://imincomelab.com
 * Description: Subscribrr Smart Subscribe button for WordPress
 * Version: 1.0
*/
include __DIR__.'/admin/index.php';
$subscribrr_config = array(
    "channel"=>get_option("subscribrr_channel","UCm7qvbWNwWao21jKXh4BC8Q"), //Your Youtube Channel Id
    "theme"  =>get_option("subscribrr_theme","default"),
    "count"  =>get_option("subscribrr_count","default"),
    "layout" => get_option("subscribrr_layout","default")
);

function subscribrr_shortcode( $atts ) {
	global $subscribrr_config;
	?>
		<div 
			class="g-ytsubscribe" 
			data-channelid="<?php echo esc_attr($subscribrr_config['channel']); ?>" 
			data-layout="<?php echo esc_attr($subscribrr_config['layout']); ?>" 
			data-count="<?php echo esc_attr($subscribrr_config['count']); ?>"
		></div>
	<?php
}
add_shortcode( 'subscribrr', 'subscribrr_shortcode' );

function load_subscribrr(){
    global $ver;
    wp_enqueue_script('subscribrr',plugins_url('subscribrr.js',__FILE__),array('jquery'),"1.0");
}
function subscribrr_css(){
	?>
	<style>
		.subscribrr-inner h3{
			padding:0px;
			float:left;
			margin:5px 5px 0px 0px;
			line-height: 20px;
			font-size: 18px;
		}
		
		@media (max-width:480px){
			subscribrr-inner h3{
				margin:0px 5px 0px 5px;
			}
			.subscribrr-inner>* {
				float:none;
			}
		}
		
		.subscribrr-iframe .subscribrr{
			background:#F9F9F9;
		}

		.subscribrr-iframe.grey .subscribrr h3 {
			color: #fff !important;
		}

		.subscribrr-iframe.grey .subscribrr{
			background: #202020;
			color: #fff !important;
		}

		.subscribrr-iframe.dark .subscribrr{
			background:black;
			color:#fff !important;
		}
		
		.subscribrr-iframe.dark .subscribrr h3{
			color:#fff !important;
		}

		.subscribrr{
			position:absolute;
			height:40px;
			width:100%;
			text-align:center;
		}

		.subscribrr-iframe>iframe{
			border:0px;margin-bottom:0px!important;
		}

		.subscribrr-btn{
			display:inline-block;width:190px;
		}

		.subscribrr-inner>*{
			float:left;
		}
	</style>
	
	
	<?php
}
function subscribrr_js(){
    global $subscribrr_config;
	
	?>
	<script>
		(function($){
			$(function(){
				$('body').subscribrr({
					button: {
						channel: '<?php echo esc_attr($subscribrr_config['channel']); ?>',
						theme: '<?php echo esc_attr($subscribrr_config['theme']); ?>',
						count: '<?php echo esc_attr($subscribrr_config['count']); ?>',
						layout: '<?php echo esc_attr($subscribrr_config['layout']); ?>',
					},
					structure: <?php echo json_encode('<h3>' . get_option('subscribrr_subscribe_text',"Subscribe to My Channel") . '</h3><div class="subscribrr-btn"></div>') ?>
				});
			});
		})(jQuery);
        </script>
	<?php
}
add_action('wp_head','subscribrr_css');
add_action('wp_head','subscribrr_js');
add_action('wp_enqueue_scripts','load_subscribrr');